Package org.gradle.api.plugins

# Class MavenPluginConvention

java.lang.Object
org.gradle.api.plugins.MavenPluginConvention

All Implemented Interfaces:
  `org.gradle.api.publication.maven.internal.MavenPomMetaInfoProvider`

public class MavenPluginConvention extends Object implements org.gradle.api.publication.maven.internal.MavenPomMetaInfoProvider
Properties and methods added by the `MavenPlugin`.

## Constructor Summary

Constructors
Constructor
Description
`MavenPluginConvention(org.gradle.api.internal.project.ProjectInternal project, org.gradle.api.publication.maven.internal.MavenFactory mavenFactory)`

## Method Summary

Modifier and Type
Method
Description
`Conf2ScopeMappingContainer`
`getConf2ScopeMappings()`
Returns the set of rules for how to map Gradle dependencies to Maven scopes.
`File`
`getMavenPomDir()`
Returns the directory to generate Maven POMs into.
`MavenPom`
`pom()`
Creates a new `MavenPom`.
`MavenPom`
`pom(Closure configureClosure)`
Creates and configures a new `MavenPom`.
`MavenPom`
`pom(Action<? super MavenPom> configureAction)`
Creates and configures a new `MavenPom`.
`void`
`setConf2ScopeMappings(Conf2ScopeMappingContainer conf2ScopeMappings)`
`void`
`setMavenPomDir(File pomDir)`
Sets the directory to generate Maven POMs into.
`void`
`setMavenPomDir(Object pomDir)`
Sets the directory to generate Maven POMs into.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MavenPluginConvention

public MavenPluginConvention(org.gradle.api.internal.project.ProjectInternal project, org.gradle.api.publication.maven.internal.MavenFactory mavenFactory)

## Method Details

### getConf2ScopeMappings

public Conf2ScopeMappingContainer getConf2ScopeMappings()
Returns the set of rules for how to map Gradle dependencies to Maven scopes.

Returns:
  The mapping rules.

### setConf2ScopeMappings

public void setConf2ScopeMappings(Conf2ScopeMappingContainer conf2ScopeMappings)

### getMavenPomDir

public File getMavenPomDir()
Returns the directory to generate Maven POMs into.

Specified by:
  `getMavenPomDir` in interface `org.gradle.api.publication.maven.internal.MavenPomMetaInfoProvider`

### setMavenPomDir

public void setMavenPomDir(File pomDir)
Sets the directory to generate Maven POMs into.

Parameters:
  `pomDir` - The new POM directory.
Since:
  4.0

### setMavenPomDir

public void setMavenPomDir(Object pomDir)
Sets the directory to generate Maven POMs into.

Parameters:
  `pomDir` - The new POM directory. Evaluated as per `Project.file(Object)`.

### pom

public MavenPom pom()
Creates a new `MavenPom`.

Returns:
  The POM instance.

### pom

public MavenPom pom(Closure configureClosure)
Creates and configures a new `MavenPom`. The given closure is executed to configure the new POM instance.

Parameters:
  `configureClosure` - The closure to use to configure the POM instance.
Returns:
  The POM instance.

### pom

public MavenPom pom(Action<? super MavenPom> configureAction)
Creates and configures a new `MavenPom`. The given action is executed to configure the new POM instance.

Parameters:
  `configureAction` - The action to use to configure the POM instance.
Returns:
  The POM instance.
Since:
  4.2